public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikhail Pukhlikov" <cynede@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/dotnet:master commit in: app-editors/visual-studio-code/
Date: Wed, 10 Oct 2018 11:24:48 +0000 (UTC)	[thread overview]
Message-ID: <1538996494.61a9ffab042ad3ab252f07888150c1a44d31c624.cynede@gentoo> (raw)

commit:     61a9ffab042ad3ab252f07888150c1a44d31c624
Author:     Andrew Hlynskyi <ahlincq <AT> gmail <DOT> com>
AuthorDate: Mon Oct  8 11:00:17 2018 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Mon Oct  8 11:01:34 2018 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=61a9ffab

app-editors/visual-studio-code: Bump 1.27.2

 .../visual-studio-code-1.27.2.ebuild               | 55 ++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/app-editors/visual-studio-code/visual-studio-code-1.27.2.ebuild b/app-editors/visual-studio-code/visual-studio-code-1.27.2.ebuild
new file mode 100644
index 0000000..c4ac60f
--- /dev/null
+++ b/app-editors/visual-studio-code/visual-studio-code-1.27.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Multiplatform Visual Studio Code from Microsoft"
+HOMEPAGE="https://code.visualstudio.com"
+BASE_URI="https://vscode-update.azurewebsites.net/${PV}"
+SRC_URI="amd64? ( ${BASE_URI}/linux-x64/stable -> ${P}-amd64.tar.gz )
+	x86? ( ${BASE_URI}/linux-ia32/stable -> ${P}-x86.tar.gz )"
+RESTRICT="mirror strip bindist"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=">=gnome-base/gconf-3.2.6-r4:2
+>=media-libs/libpng-1.2.46:0
+>=x11-libs/cairo-1.14.12:0
+>=x11-libs/gtk+-2.24.31-r1:2
+>=x11-libs/libXtst-1.2.3:0"
+
+RDEPEND="${DEPEND}
+>=app-crypt/libsecret-0.18.5:0[crypt]
+>=net-print/cups-2.1.4:0
+>=x11-libs/libnotify-0.7.7:0
+>=x11-libs/libXScrnSaver-1.2.2-r1:0"
+
+QA_PRESTRIPPED="opt/${PN}/code"
+QA_PREBUILT="opt/${PN}/code"
+
+pkg_setup() {
+	if use amd64; then
+		S="${WORKDIR}/VSCode-linux-x64"
+	elif use x86; then
+		S="${WORKDIR}/VSCode-linux-ia32"
+	else
+		# shouldn't be possible with -* special keyword
+		die
+	fi
+}
+
+src_install() {
+	dodir "/opt"
+	# Using doins -r would strip executable bits from all binaries
+	cp -pPR "${S}" "${D}/opt/${PN}" || die "Failed to copy files"
+	dosym "${EPREFIX}/opt/${PN}/bin/code" "/usr/bin/code"
+	make_desktop_entry "code" "Visual Studio Code" "${PN}" "Development;IDE"
+	newicon "${S}/resources/app/resources/linux/code.png" "${PN}.png"
+	insinto "/usr/share/licenses/${PN}"
+	newins "resources/app/LICENSE.txt" "LICENSE"
+}


             reply	other threads:[~2018-10-10 11:24 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-10 11:24 Mikhail Pukhlikov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-10-10 11:24 [gentoo-commits] proj/dotnet:master commit in: app-editors/visual-studio-code/ Mikhail Pukhlikov
2018-10-10 11:24 Mikhail Pukhlikov
2018-08-29  8:03 Mikhail Pukhlikov
2018-08-06 12:58 Mikhail Pukhlikov
2018-07-06  8:43 Mikhail Pukhlikov
2018-07-06  6:24 Mikhail Pukhlikov
2018-04-19 15:41 Mikhail Pukhlikov
2018-03-07  6:22 Mikhail Pukhlikov
2018-03-07  6:22 Mikhail Pukhlikov
2018-03-07  6:22 Mikhail Pukhlikov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538996494.61a9ffab042ad3ab252f07888150c1a44d31c624.cynede@gentoo \
    --to=cynede@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox